commit:     f04a5b7ee931cf64cbcef9120bdee977972af8e8
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 23 15:57:52 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Sep 23 17:16:52 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f04a5b7e

games-strategy/colobot-data: Bump to 0.1.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 games-strategy/colobot-data/Manifest               |  2 +
 .../colobot-data/colobot-data-0.1.12.ebuild        | 46 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/games-strategy/colobot-data/Manifest 
b/games-strategy/colobot-data/Manifest
index 37a01c0bda1..390f1437ca8 100644
--- a/games-strategy/colobot-data/Manifest
+++ b/games-strategy/colobot-data/Manifest
@@ -1,3 +1,5 @@
 DIST colobot-data-0.1.11-music-flac.tar.gz 298829480 BLAKE2B 
2a041df82b295433257dd0358b6f83d585cae086a7c1f7e891964a4ffca2e1ca71bb68f7f01160c8dddaeb3b553fcc0082ab746177836d8b9494376a9a9b4451
 SHA512 
0ab613ea8ca59771b5d93b9c8d96ad88a0fe27f6171be0cb1d6d2eb60b820fdcad83f8fdc5d2f968e8091a6f3e727eb202c4dd09f86afb3eb2e325756eb40873
 DIST colobot-data-0.1.11-music-ogg.tar.gz 55596353 BLAKE2B 
63be871fc2000c1cb041658b7395d5175cefc24c81661b366396965951efdadf1cf064211f3f543c4a4b1b7da5bd91db5e397844f1e8771318302c9d80788eb4
 SHA512 
486d084adc1b28a9fe36c530d261e48a89553c822989f493b0a92dabb9c3435953bda6fe98fcdabc72c6969b5e9be4ff9f3803066f6115fc7740c3de5d183764
 DIST colobot-data-0.1.11.tar.gz 54014394 BLAKE2B 
16464ca663a9e470db4f9af052d313240f38cf651edd738412eb2dd7aed187432de859304a0f2625ed9a4d2c73abe00606670754a59404ac4651fa31ce8e688f
 SHA512 
0f79d403e378b098bbc09fb766c34a09bbe1d4fe17e9070a983808477cb7bf3a101a7c156a0148f7b5b5164de481e45c8f83cf25c829e5e20c2aec3f58d59c9a
+DIST colobot-gold-0.1.12-alpha.data.tar.gz 54732267 BLAKE2B 
8cf36911764beb921e2b1009fd8550a1a146f594033cfc4de2d8587866780e22f060949735b03c2e355fab412c70c8557587f859edb86ca815ef249edc348926
 SHA512 
599cc72e1383826b5c840446f52f53b0f325b1de2ce08826bbd6b04072a51f1c4007b5683f2608dd7be67ab358ef2856e790bbbe5c73d8514141e3284be47508
+DIST colobot-music_ogg_0.1.12-alpha.tar.gz 55596353 BLAKE2B 
63be871fc2000c1cb041658b7395d5175cefc24c81661b366396965951efdadf1cf064211f3f543c4a4b1b7da5bd91db5e397844f1e8771318302c9d80788eb4
 SHA512 
486d084adc1b28a9fe36c530d261e48a89553c822989f493b0a92dabb9c3435953bda6fe98fcdabc72c6969b5e9be4ff9f3803066f6115fc7740c3de5d183764

diff --git a/games-strategy/colobot-data/colobot-data-0.1.12.ebuild 
b/games-strategy/colobot-data/colobot-data-0.1.12.ebuild
new file mode 100644
index 00000000000..1a76b184e5b
--- /dev/null
+++ b/games-strategy/colobot-data/colobot-data-0.1.12.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+MY_P=colobot-gold-${PV}-alpha
+MUSIC_P=colobot-music_ogg_${PV}-alpha
+
+DESCRIPTION="Data package for colobot (Colonize with Bots)"
+HOMEPAGE="https://colobot.info/";
+SRC_URI="
+       https://github.com/colobot/colobot-data/archive/${MY_P}.tar.gz -> 
${MY_P}.data.tar.gz
+       music? (
+               https://colobot.info/files/music/${MUSIC_P}.tar.gz )"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+music"
+
+S="${WORKDIR}/${PN}-${MY_P}"
+
+src_unpack() {
+       unpack "${MY_P}.data.tar.gz"
+       if use music; then
+               tar -x -f "${DISTDIR}/${MUSIC_P}.tar.gz" -C "${S}/music" || die 
"Failed to unpack music"
+       fi
+}
+
+src_prepare() {
+       cmake-utils_src_prepare
+
+       if use music; then
+               sed -i -e '/find_program(WGET wget)/d' -e '/if(NOT WGET)/,+2 d' 
music/CMakeLists.txt || die
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DMUSIC=$(usex music)
+               -DMUSIC_FLAC=OFF
+       )
+       cmake-utils_src_configure
+}

Reply via email to